Subject: RE: [Simple] Data model - attempt at summary (Groups)

From: "Boyer, David G \(Dave\)" <[email-masked]>
Date: Mon, 18 Oct 2004 09:48:38 -0400

Henning -

In response to your first item -
We model only one person (and possibly their assistant), not groups of individuals.

This conflicts with some of the statements in Johnathan's data model paper.
Without groups, how can something like a contact center be supported?
A contact center will not want to expose specific, or even general,
information about it's agents.  Without a grouping mechanism that
exposes available agent's basic capabilities, how will something like
a contact center be supported?

Dave

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf
> Of Henning Schulzrinne
> Sent: Sunday, October 17, 2004 11:27 PM
> To: Simple WG
> Subject: [Simple] Data model - attempt at summary
> 
> 
> After a brief absence, I find it difficult to reconnect to the 
> discussion and its >>>>> layers.
> 
> I'm trying a slightly different approach in summarizing the 
> issues on a 
> web page, as I then might be able to update some of the 
> differences and 
> agreements:
> 
> http://www.cs.columbia.edu/sip/draft/rpid/presence_model.html
> 
> I don't think anything that I'm proposing is more than a tweak and 
> slight generalization of the existing data model. I believe 
> the meaning 
> to the watcher is clearly defined in all such cases, except 
> that I don't 
> sweep uncertainty under the rug.
> 
> If there are core assumptions that should be added, let me know.
> 
> I expect people to disagree with some of the assumptions, but 
> it would 
> also be helpful if we can move some of these bullets, 
> possibly modified, 
> into a common understanding section.
> 
> Henning
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Henning Schulzrinne <[email-masked]>
Date: Mon, 18 Oct 2004 10:28:54 -0400

Dave:

Can you point out which part of the data model is being contradicted? I 
thought that statement was simply a summary of the data model assumption.

(Contact centers as a whole can be represented, if they look like a 
single individual through aggregation. There's nothing fundamentally 
different about Joe Salesman and [email-masked] (the whole sales 
crew), as long as they appear both like a single logical entity. It does 
mean you can't choose whether you want to talk to Alice, Bob or Carol in 
the call center. They can't be at different locations, etc.)

Thus, the assumption probably needs to be generalized a bit, but the 
spirit remains the same.

The reasoning is simple and has to do with uncertainty: You want to be 
able to distinguish between "Alice is in place A and Bob is in place B, 
where Alice and Bob are both members of a group" from "Alice might be in 
A or B, depending on which sensor is right". We don't do the first part 
right now, but reality for a single individual includes the second part.

I think there are backwards-compatible solutions for the problem you 
pose, but I think we should solve the single-person problem first.

Henning